---
layout: mockup
title: "Clocks - World Clocks"
theme: Adwaita/Adwaita.css
permalink: clocks/world
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/clocks.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div id="titlebarClocks" class="titlebar grouped" title="Clocks">
		<!-- left button group -->
		<div class="button-group float-left">
			<a class="button image-button" onclick="$('#newWorldClockDialog').show();" class="text-center">{%- include symbolic/actions/list-add-symbolic.svg -%}</a>
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide hide-on-mobile">
			<div class="view-switcher">
				<a class="active" href="{{ site.baseurl }}/clocks/world"><div class="icon s16">{%- include symbolic/maps/globe-symbolic.svg -%}</div><span>World</span></a
				><a class="" href="{{ site.baseurl }}/clocks/alarm"><div class="icon s16">{%- include symbolic/status/alarm-symbolic.svg -%}</div><span>Alarms</span></a
				><a class=""  href="{{ site.baseurl }}/clocks/stopwatch"><div class="icon s16">{%- include symbolic/apps/stopwatch-symbolic.svg -%}</div><span>Stopwatch</span></a
				><a class="" href="{{ site.baseurl }}/clocks/timer"><div class="icon s16">{%- include symbolic/apps/timer-symbolic.svg -%}</div><span>Timer</span></a>
			</div>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<!-- <div id="clocksWorldMap" style="background-image: url({{ site.baseurl }}/img/world.svg);"></div> -->
			<div class="row">
				<ul class="listrow" id="worldClocksList">
					<li class="large clocksMorning">
						<div class="label-group">
							<label>Honolulu</label>
							<label class="small-label dim-label">Today, -6HRS</label>
						</div>
						<a class="button undecorated circular image-button float-right">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<label class="large-label float-right"><span style="opacity:0.1">0</span>8:00 AM</label>
					</li>
					<li class="large clocksMidday">
						<div class="label-group">
							<label>San Francisco</label>
							<label class="small-label dim-label">Today, -2HRS</label>
						</div>
						<a class="button undecorated circular image-button float-right">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<label class="large-label float-right">12:00 PM</label>
					</li>
					<li class="large clocksAfternoon">
						<div class="label-group">
							<label>Toronto</label>
							<label class="small-label dim-label">Today, +0HRS</label>
						</div>
						<a class="button undecorated circular image-button float-right">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<label class="large-label float-right"><span style="opacity:0.1">0</span>2:00 PM</label>
					</li>
					<li class="large clocksAfternoon">
						<div class="label-group">
							<label>New York</label>
							<label class="small-label dim-label">Today, +1HRS</label>
						</div>
						<a class="button undecorated circular image-button float-right">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<label class="large-label float-right"><span style="opacity:0.1">0</span>3:00 PM</label>
					</li>
					<li class="large clocksNight">
						<div class="label-group">
							<label>London</label>
							<label class="small-label dim-label">Today, +6HRS</label>
						</div>
						<a class="button undecorated circular image-button float-right">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<label class="large-label float-right"><span style="opacity:0.1">0</span>8:00 PM</label>
					</li>
					<li class="large clocksEarlyMorning">
						<div class="label-group">
							<label>Hong Kong</label>
							<label class="small-label dim-label">Tomorrow, +13HRS</label>
						</div>
						<a class="button undecorated circular image-button float-right">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<label class="large-label float-right"><span style="opacity:0.1">0</span>3:00 AM</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- New Alarm Dialog -->
	<div class="gtkdialog" id="newWorldClockDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar" title="New World Clock">
				<a class="button text-button float-left" onclick="$('#newWorldClockDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" onclick="$('#newWorldClockDialog').hide();">Add</a>
			</div>
			<div class="gtkdialog-content">
				<div class="toolbar top text-center">
					<input type="text" name="searchWorldLocations" class="entry full-width" style="max-width: 80%;" placeholder="Search for a location">
				</div>
				<div class="row">
					<ul class="listrow">
						<li>Location</li>
						<li>Location</li>
						<li>Location</li>
						<li>Location</li>
						<li>Location</li>
						<li>...</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- toolbar -->
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a class="active" href="{{ site.baseurl }}/clocks/world"><div class="icon s16">{%- include symbolic/maps/globe-symbolic.svg -%}</div><span>World</span></a
			><a class="" href="{{ site.baseurl }}/clocks/alarm"><div class="icon s16">{%- include symbolic/status/alarm-symbolic.svg -%}</div><span>Alarms</span></a
			><a class=""  href="{{ site.baseurl }}/clocks/stopwatch"><div class="icon s16">{%- include symbolic/apps/stopwatch-symbolic.svg -%}</div><span>Stopwatch</span></a
			><a class="" href="{{ site.baseurl }}/clocks/timer"><div class="icon s16">{%- include symbolic/apps/timer-symbolic.svg -%}</div><span>Timer</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
function writeDate() {
	new Date().toLocaleTimeString('en-US', { hour12: true, hour: "numeric",minute: "numeric"})
	var d = new Date();
	var n = d.getTime();
	$('#writeDate').text(n);
}
</script>
